API ReferenceWebhooks
Create Webhook
Creates a new webhook that listens for specific events. Supports optional association with a chat.
POST/v2/hooks
Usage
TypeScript Example
import { v0 } from 'v0-sdk'const result = await v0.webhooks.create({ name: 'My Project', events: 'example', url: 'https://example.com', chatId: 'chat_abc123',})console.log(result)API Signature
Request
Request Body
name: string
A human-readable name for the webhook.
events: ('chat.created' | 'chat.updated' | 'chat.deleted' | 'message.created' | 'message.updated' | 'message.deleted' | 'message.finished')[]
List of event types the webhook should subscribe to.
url: string
The target URL to receive the webhook payloads.
chatId: string | null
The ID of a chat to scope the webhook to.
Response
id: string
A unique identifier for the webhook.
createdAt: string
The ISO timestamp representing when the chat was created.
name: string
A user-defined name to label the webhook.
events: ('chat.created' | 'chat.updated' | 'chat.deleted' | 'message.created' | 'message.updated' | 'message.deleted' | 'message.finished')[]
List of event types this webhook is subscribed to.
url: string
Target URL that receives event payloads for this webhook.
chatId: string | null
Optional ID of the chat that this webhook is scoped to.